/*
 * Created by victoria on 2021-05-15.
*/

#pragma once

#include <optional>

#include <QByteArray>

namespace QXmpp::Omemo {

    class KeyPair {
    public:
        QByteArray publicKey{};
        std::optional<QByteArray> secretKey{ std::nullopt };
    };

    class SignedPreKey {
    public:
        int id{ 0 };

        KeyPair key{};
        QByteArray signature{};
    };

}
