/*
 * Created by victoria on 2021-05-13.
 */

#pragma once

#include <signal/signal_protocol.h>

namespace Signal::Crypto::Sha512 {

    int init(void **digest_context, void *);
    int update(void *digest_context, const uint8_t *data, size_t data_len, void *);
    int final(void *digest_context, signal_buffer **output, void *);
    void cleanup(void *digest_context, void *);

} // namespace Signal::Crypto::Sha512
