/*
 * Created by victoria on 2021-05-13.
 */

#pragma once

#include <signal/signal_protocol.h>

namespace Signal::Store {

    class Context {
    public:
        explicit Context(signal_context *global);
        ~Context();

        Context(const Context &) = delete;
        Context(Context &&) = delete;
        Context &operator=(const Context &) = delete;

    private:
        signal_protocol_store_context *ctx{nullptr};
    };

} // namespace Signal::Store
